//
//  SGSingInEntity.swift
//  fasteasymappingtest
//
//  Created by Developer on 8/29/18.
//  Copyright © 2018 Apple Inc. All rights reserved.
//
import Foundation
import FastEasyMapping

class SGSignInEntity: NSObject {

    @objc dynamic var email: String?
    @objc dynamic var firstName: String?
    @objc dynamic var lastName: String?
    @objc dynamic var password: String?
    @objc dynamic var uid: String?

    // MARK: EKManagedMappingProtocol

    class func objectMapping() -> FEMMapping! {

        let mapping = FEMMapping(objectClass: self, rootPath: "user")

        mapping.addAttributes(from: [
            "email", "password", "uid"
            ])

        mapping.addAttributes(from: [
            "firstName": "first_name",
            "lastName": "last_name",
            ])

        return mapping
    }

    class func objectMappingFB() -> FEMMapping! {

        let mapping = FEMMapping(objectClass: self, rootPath: "user")

        mapping.addAttributes(from: [
            "email", "uid"
            ])

        mapping.addAttributes(from: [
            "firstName": "first_name",
            "lastName": "last_name",
            ])

        return mapping
    }

    class func objectMappingForgotPassword() -> FEMMapping! {

        let mapping = FEMMapping(objectClass: self, rootPath: "user")

        mapping.addAttributes(from: [
            "email"
            ])

        return mapping
    }
}
